Skip to main content
Drivers / Bank Accounts

Update driver bank account

This method requires the DriverBankAccounts:Update permission to be associated with your role.

PUT
/fm/driver/bank/accounts/{driver_bank_account_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
driver_bank_account_idstringrequired

Driver Bank Account Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Maximum string length: 32
Pattern: ^[0-9a-f]{32}
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

account_namestring

(Optional) Account name

claims_access_flagenum<string>
Available options: yes, no
claims_default_flagenum<string>

(Optional) Claims default flag. If 'yes' other bank accounts for the associated driver will be set to 'no'.

Available options: yes, no
status_flagenum<string>

(Optional) Status flag

Available options: active, inactive

Response

application/vnd.catch-e-api.v1+json

Driver Bank Account updated successfully

_embeddedobject
account_namestring
account_numberstring
bsbstring
claims_access_flagstring
claims_default_flagstring
driver_bank_account_idstring
driver_idstring
status_flagstring